
From: Andries.Brouwer@cwi.nl

Installed some machine with a reiserfs rootfs.  The boot messages contain a
lot of garbage spouted by Intermezzo and ufs_read_super caused by the fact
that the kernel tried lots of other filesystems before hitting on reiserfs.

On the one hand this is solved by "rootfstype=reiserfs".

But on the other hand, the kernel should not complain about the guessing it
does itself.  There is a parameter "silent" for this purpose, but in this
case I think it cleaner just to remove the complaint and tighten the
requirement.



---

 fs/ufs/super.c |   12 ++++--------
 1 files changed, 4 insertions(+), 8 deletions(-)

diff -puN fs/ufs/super.c~ufs-mount-noisiness fs/ufs/super.c
--- 25/fs/ufs/super.c~ufs-mount-noisiness	2004-01-24 16:38:01.000000000 -0800
+++ 25-akpm/fs/ufs/super.c	2004-01-24 16:38:01.000000000 -0800
@@ -516,14 +516,10 @@ static int ufs_fill_super(struct super_b
 		printk("wrong mount options\n");
 		goto failed;
 	}
-	if (!(sbi->s_mount_opt & UFS_MOUNT_UFSTYPE)) {
-		printk("You didn't specify the type of your ufs filesystem\n\n"
-		"mount -t ufs -o ufstype="
-		"sun|sunx86|44bsd|old|hp|nextstep|netxstep-cd|openstep ...\n\n"
-		">>>WARNING<<< Wrong ufstype may corrupt your filesystem, "
-		"default is ufstype=old\n");
-		ufs_set_opt (sbi->s_mount_opt, UFSTYPE_OLD);
-	}
+
+	/* "old" used to be default - now: always specify type */
+	if (!(sbi->s_mount_opt & UFS_MOUNT_UFSTYPE))
+		goto failed;
 
 	sbi->s_uspi = uspi =
 		kmalloc (sizeof(struct ufs_sb_private_info), GFP_KERNEL);

_
